GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
selftests::optional::assign_6::value_type Struct Reference
Inheritance diagram for selftests::optional::assign_6::value_type:

## Public Member Functions
| value_type ()=default
| value_type (int)
| value_type (std::initializer_list< char >, const char *)

## Public Attributes
int | state = 0

## Additional Inherited Members
Private Member Functions inherited from selftests::optional::assign_6::mixin_counter
| mixin_counter ()
| mixin_counter (mixin_counter const &)
| ~mixin_counter ()

## Detailed Description

Definition at line 30 of file optional-selftests.c.

## Constructor & Destructor Documentation

## ◆ value_type() [1/3]

selftests::optional::assign_6::value_type::value_type | ( |  | ) |
| default

## ◆ value_type() [2/3]

selftests::optional::assign_6::value_type::value_type | ( | int |  | ) |
| inline

Definition at line 33 of file optional-selftests.c.

## ◆ value_type() [3/3]

selftests::optional::assign_6::value_type::value_type | ( | std::initializer_list< char > | ,
|  | const char * |
| ) |  |
| inline

Definition at line 34 of file optional-selftests.c.

## Member Data Documentation

## ◆ state

int selftests::optional::assign_6::value_type::state = 0

Definition at line 35 of file optional-selftests.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/unittests/optional-selftests.c